Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Thread Contributor: LViatourinstallation 2.7 sur Ubuntu problème compilation
#16
(18-10-19, 06:53)jpg54 a écrit : J'avais déjà fait un PDF : https://docs.google.com/document/d/1Cjny...eND80/edit qui est maintenant obsolète avec l'utilisation de GitHub. Après je peux le refaire pour Ubuntu mais il faut savoir qu'il ne peut fonctionner avec toutes les distributions.

Il me sert personnellement encore, j'ai compilé une version pour mon fils et pour un collègue tous les deux sur Ubuntu 18.04.

C'est une bonne base il y a juste quelques dépendances manquantes. 

Voici mon mémo basé sur ton PDF:

Compilation github master Darktabe

installer les paquets suivants:
ibsqlite3 libjpeg libpng libpugixml rawspeed gtk+-3 cairo lcms2 exiv2 tiff curl gphoto2 dbus-glib fop openexr libsoup2.4

gcc

gcc g++ cmake intltool xsltproc libgtk-3-dev libxml2-utils libxml2-dev

liblensfun-dev librsvg2-dev libsqlite3-dev libcurl4-gnutls-dev libjpeg-dev libtiff5-dev

liblcms2-dev libjson-glib-dev libexiv2-dev libpugixml-dev


gphoto2 library

create /home/user
/darktable


root:
git clone git://github.com/darktable-org/darktable.git

dans dossier darktable
compilation : ./build.sh

Voir dépendances bloquantes 

git submodule init
git submodule update

Si compillation ok

cmake --build "/home/lviatour/darktable/build" --target install -- -j8


création du lanceur:

sudo apt-get install gnome-panel

gnome-desktop-item-edit --create-new home/user/Bureau

configurer le lanceur sur:
/opt/darktable/bin/darktable
Luc Viatour Photographe 
Website
Répondre


Messages dans ce sujet
RE: installation 2.7 sur Ubuntu problème compilation - par LViatour - 18-10-19, 07:25

Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)